import { h } from '@stencil/core';
export class BSWCSection {
  constructor() {
    this.heading = undefined;
    this.slug = undefined;
  }
  formatHtml(content) {
    let string = content.replaceAll('<!---->', '');
    string = string.replaceAll(' class="hydrated"', '');
    let array = string.split('> <');
    array = array.map((element, index) => {
      const isFirst = index === 0;
      const isLast = index === array.length - 1;
      let html = '';
      if (!isFirst) {
        html += '<';
      }
      html += element;
      if (!isLast) {
        html += '>';
      }
      return html;
    });
    return array;
  }
  render() {
    const code = this.formatHtml(this.element.innerHTML);
    return (h("section", { class: "section" }, h("h4", { class: "section__title" }, this.heading), h("div", null, h("div", { class: "section__example" }, h("div", { class: "section__example-title" }, "Example"), h("div", { class: "section__example-content" }, h("slot", null))), h("pre", { class: "section__code" }, h("h5", { class: "section__code-title" }, "HTML"), code.map(tag => {
      return h("div", null, h("code", null, tag.includes('bs-row') ? tag : '  ' + tag));
    }))), this.slug ?
      h("a", { href: `https://getbootstrap.com/docs/5.3/layout/grid/#${this.slug}`, target: "_blank", class: "section__link" }, "More info about ", this.heading, " at Bootstrap website")
      : ''));
  }
  static get is() { return "bswc-section"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["./section.css"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["section.css"]
    };
  }
  static get properties() {
    return {
      "heading": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "heading",
        "reflect": false
      },
      "slug": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "slug",
        "reflect": false
      }
    };
  }
  static get elementRef() { return "element"; }
}
//# sourceMappingURL=section.js.map
